package cn.hnthyy.thmz.service.impl.thmz;

import cn.hnthyy.thmz.entity.thmz.Config;
import cn.hnthyy.thmz.mapper.thmz.ConfigMapper;
import cn.hnthyy.thmz.service.thmz.ConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ConfigServiceImpl implements ConfigService {
    @SuppressWarnings("all")
    @Autowired
    private ConfigMapper configMapper;
    @Override
    public Config queryUserByKey(String key) {
        return configMapper.selectUserByKey(key);
    }

    @Override
    public int saveConfig(Config config) {
        return configMapper.insertConfig(config);
    }

    @Override
    public int modifyConfigByKey(Config config) {
        return configMapper.updateConfigByKey(config);
    }
}
